Merge x264 from debian-multimedia

Bug #138854 reported by Jo Shields on 2007-09-11
6
Affects Status Importance Assigned to Milestone
avidemux (Ubuntu)
Undecided
Unassigned
gst-plugins-bad-multiverse0.10 (Ubuntu)
Undecided
Unassigned
mplayer (Baltix)
Undecided
Unassigned
mplayer (Ubuntu)
Wishlist
Mario Limonciello
x264 (Ubuntu)
Wishlist
John Dong

Bug Description

Binary package hint: x264

x264 in debian-multimedia contains many performance and quality improvements while also adding support for MP4. This awaits bug #160403 that provides us with the appropriate libgpac-dev

In addition reverse deps (and ffmpeg as a courtesy to medibuntu) need to be checked/rebuilt and possibly patched for any reverse-dep issues.

Original Description:

As per Summary. This will require the addition of a "gpac-dev" package, as there is currently no libgpac_static.a file provided in the "gpac" package.

Barry deFreese (bddebian) wrote :

Gutsy +1 ?

Changed in x264:
importance: Undecided → Wishlist
status: New → Confirmed
John Dong (jdong) wrote :

This sounds like fun; Since I've got a merge pending on gpac for gpac-dev I will undertake some x264 fun :)

Changed in x264:
assignee: nobody → jdong
status: Confirmed → New
John Dong (jdong) on 2007-11-18
description: updated
John Dong (jdong) wrote :
John Dong (jdong) wrote :
John Dong (jdong) wrote :
John Dong (jdong) wrote :

debian-multimedia source package can be found at http://www.debian-multimedia.org/pool/main/x/x264/x264_0.svn20070930-0.0.dsc

diff.gz/dsc/debdiff for Hardy can be found attached. Verified to build on Hardy provided the oriignally mentioned gpac merge is done and present, otherwise libgpac-dev unsatisfiable.

Now performing analysis for reverse-deps.

John Dong (jdong) wrote :

Reverse Dep Analysis:
avidemux: FTBFS -- the package is crufty being a year old, it wasn't even properly transitioned to the last ffmpeg upload. Bug #163287 is working on getting a new upstream release into Ubuntu so it should resolve this issue too.

gst-plugins-bad-multiverse0.10: Trivial rebuild
mplayer: Trivial rebuild
ffmpeg: trivial rebuild for medibuntu (nothing to do in Ubuntu)

John Dong (jdong) wrote :

Oops not Baltix

Changed in mplayer:
status: New → Invalid
Changed in mplayer:
assignee: nobody → superm1
status: New → Triaged
importance: Undecided → Wishlist
John Dong (jdong) wrote :

x264 (1:0.svn20070930-0.0ubuntu1) hardy; urgency=low

  * Fakesync with debian-multimedia (LP: #138854)
    - Set epoch
    - b-d nasm on lpia
    - Drop b-d version on nasm, associated Debian issue not relevant
      to Ubuntu.

 -- John Dong <email address hidden> Sun, 18 Nov 2007 15:14:01 -0500

Changed in x264:
status: New → Fix Released
Maia Everett (linneris) on 2007-11-20
Changed in avidemux:
status: New → In Progress
Mario Limonciello (superm1) wrote :

mplayer (2:1.0~rc2-0ubuntu2) hardy; urgency=low

  * No source changes, rebuild against newer x264. (LP: #138854)

 -- Mario Limonciello <email address hidden> Tue, 20 Nov 2007 15:55:53 -0600

Changed in mplayer:
status: Triaged → Fix Released
John Dong (jdong) wrote :

x264 (1:0.svn20070930-0.0ubuntu2) hardy; urgency=low

  * No source change reupload, got accidentally removed from archive.

x264 (1:0.svn20070930-0.0ubuntu1) hardy; urgency=low

  * Fakesync with debian-multimedia (LP: #138854)
    - Set epoch
    - b-d nasm on lpia
    - Drop b-d version on nasm, associated Debian issue not relevant
      to Ubuntu.

x264 (0.svn20070930-0.0) unstable; urgency=low

  * New svn release 680.

x264 (0.svn20070823-0.1) unstable; urgency=low

  * Same bug as in 0.svn20070613-0.2 yasm doesn't work and the latest nasm
    (0.99.01-1) doesn't work too... So make a Build-Depends on
    nasm (= 0.98.38-1.2).

x264 (0.svn20070823-0.0) unstable; urgency=low

  * New svn release 671.
  * Back to yasm for i386 (doesn't build with latest nasm and yasm support
    for i386 seem's to be fixed).

x264 (0.svn20070613-0.2) unstable; urgency=low

  * Build with nasm for i386.

x264 (0.svn20070613-0.1) unstable; urgency=low

  * Forgot to add dpatch in Build-Depends. Also this package is build with
    --enable-mp4-output

x264 (0.svn20070613-0.0) unstable; urgency=low

  * New svn release.
  * Build with --enable-gtk, --enable-mp4-output and --enable-visualize
  * Use yasm instead of nasm for i386.

x264 (0.svn20070309-5) unstable; urgency=low

  * Upload for my repository.

x264 (0.svn20070309-4) unstable; urgency=low

  * debian/patches/010_altivec_crash.diff:
    + Updated upstream patch to fix an FTBFS.

x264 (0.svn20070309-3) unstable; urgency=low

  * debian/control:
    + Set pkg-multimedia-maintainers as main maintainer, added Fabian
      Greffrath as uploader.
    + Updated VCS fields.

  * debian/patches/010_altivec_crash.diff:
    + New patch from upstream: runtime AltiVec detection and workaround
      for gcc generating AltiVec code here and there with -maltivec.

x264 (0.svn20070309-2) unstable; urgency=low

  * debian/rules:
    + Activate --enable-pthread.
  * debian/control:
    + Added conflicts/replaces x264-bin because of unofficial packages that
      decided "x264" was not a good package name for the "x264" program
      (Closes: #414648).
  * debian/copyright:
    + Cleaned up, removed mention to NetBSD files that are no longer here.
  * debian/patches/000_usr_prefix.diff:
    + Remove this patch in favour of --prefix=/usr.

x264 (0.svn20070309-1) unstable; urgency=low

  * Initial release (Closes: #405212).

 -- John Dong <email address hidden> Fri, 30 Nov 2007 23:00:11 -0500

Albert Damen (albrt) wrote :

gst-plugins-bad-multiverse0.10 (0.10.5-3) hardy; urgency=low

  * Rebuild against newer x264.

 -- Emilio Pozuelo Monfort < <email address hidden>> Wed, 05 Dec 2007 11:23:17 +0100

Changed in gst-plugins-bad-multiverse0.10:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avidemux - 1:2.4~preview3-0.0ubuntu1

---------------
avidemux (1:2.4~preview3-0.0ubuntu1) hardy; urgency=low

  * Upload to Ubuntu. (LP: #163287, LP: #126572)
  * debian/changelog: re-added Ubuntu releases.
  * debian/control:
    - Require debhelper >= 5.0.51 (for dh_icons) and imagemagick.
    - Build-depend on libsdl1.2-dev instead of libsdl-dev.
    - Build against newer libx264-dev. (LP: #138854)
    - Removed libamrnb-dev, not in Ubuntu yet.
  * debian/rules:
    - Install all icon sizes, using convert (upstream installs none).
    - Added missing calls to dh_installmenu, dh_installman, dh_icons and
      dh_desktop.
  * debian/menu, debian/avidemux-qt.menu:
    - Corrected package and executable names.
  * debian/avidemux-common.install: Install icons.
  * debian/avidemux.common.manpages: Install man/avidemux.1.
  * debian/links, debian/avidemux-cli.links, debian/avidemux-gtk.links:
    - Link manpages to avidemux.1.gz.
  * debian/install, debian/avidemux-qt.install, debian/avidemux-gtk.desktop,
    debian/avidemux-qt.desktop: Install desktop files.

avidemux (1:2.4~preview3-0.0) experimental; urgency=low

  * New upstream pre release uploaded to experimental.

 -- Matvey Kozhev <email address hidden> Tue, 18 Dec 2007 13:53:04 +0600

Changed in avidemux:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers